usb_get_intf
Prev | Chapter 5. USB Core APIs | Next

## Name

usb_get_intf — increments the reference count of the usb interface structure

## Synopsis

`struct usb_interface * usb_get_intf (` | struct usb_interface * | intf`)`;

## Arguments

`intf`

  the interface being referenced

## Description

Each live reference to a interface must be refcounted.

Drivers for USB interfaces should normally record such references in their `probe` methods, when they bind to an interface, and release them by calling `usb_put_intf`, in their `disconnect` methods.

A pointer to the interface with the incremented reference counter is returned.

Prev | Up | Next
usb_put_dev | Home | usb_put_intf